#
# Aufruf von externen Programmen, Dateiereignis
#

# externe Programme via exec
#
set options "-vmp"
set output [exec uname $options]
puts $output
puts "================="

# externe Programme via pipe
#
# pipe "zum" externen Programm oeffnen
set fid [ open "|tclsh bsp_4.tcl" w+ ]

# Kanal so konfigurieren, dass eine Zeile (\n) gebuffert wird
fconfigure $fid -buffering line

# wenn Daten (eine Zeile) vorhanden, read_pipe aufrufen
fileevent $fid readable [list read_pipe $fid]

# empfangene Daten verarbeiten
proc read_pipe {chan} {
	if {[gets $chan line] >= 0} {
	   # wenn bestimmter Text enthalten, dann gebe aus...
           if {[string first "zyklus_1" $line] >= 0} {puts "$line"}
	}
}

vwait forever
