#
# Tk: einfache Eingabeelemente, Messagebox (mit grid)
#

# ein paar Label, Button, Textfelder und Radiobutton definieren/anzeigen
label .l1 -text "Zahl 1:" -padx 10 -pady 10
grid  .l1 -row 0 -column 0 -sticky e
entry .e1 -width 10 -textvariable z1
grid  .e1 -row 0 -column 1 -sticky w

label .l2 -text "Zahl 2:" -padx 10 -pady 10
grid  .l2 -row 2 -column 0 -sticky e
entry .e2 -width 10 -textvariable z2
grid  .e2 -row 2 -column 1 -sticky w

# ein Frame als Container fuer weiter Widgets
frame .f
grid .f -row 1 -column 0 -columnspan 2
set op "+"
radiobutton .f.r1 -value "+" -text "+" -variable op
grid  .f.r1 -row 1 -column 0
radiobutton .f.r2 -value "-" -text "-" -variable op
grid  .f.r2 -row 1 -column 1
radiobutton .f.r3 -value "*" -text "*" -variable op
grid  .f.r3 -row 1 -column 2
radiobutton .f.r4 -value "/" -text "/" -variable op
grid  .f.r4 -row 1 -column 3

button .b_message -text "Rechne!" -command {rechne $z1 $z2 $op} 
grid .b_message -row 3 -column 0 -columnspan 2 

button .b_exit -text "Beenden" -command exit
grid .b_exit -row 4 -column 0 -columnspan 2 

# Prozedur zur Berechnung/Ergebnisausgabe
proc rechne {z1 z2 op} {

	# "Alles ist ein String...:-)"
	set r [expr $z1 $op $z2]
	
	# eine Messagebox
	tk_messageBox -type ok -icon info -title "Rechenergebnis" -message "$z1 $op $z2 = $r"
}
